Package com.complexible.common.base

# Interface ProgressReporter

All Superinterfaces:
  `AutoCloseable`, `Progress`

All Known Implementing Classes:
  `ProgressMonitor`, `ProgressMonitor.DelegatingProgressMonitor`, `ProgressMonitor.ReportingProgressMonitor`

public interface ProgressReporter extends Progress, AutoCloseable
Interface for progress reporting

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.complexible.common.base.Progress

  `Progress.Default`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final ProgressReporter`
  `SILENT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `close()`
  `void`
  `increment(long delta)`
  Increments the current progress by given delta and prints the progress if necessary.
  `void`
  `incrementMaxProgress(long theMaxProgress)`
  Increments the maximum progress value for this monitor
  `default void`
  `print()`
  Print the current progress, implementations may implement this as a no-op
  `void`
  `stage(String stageName)`
  Set the name of current stage of the process.
  `void`
  `stop()`
  Stop the progress reporting.

  ### Methods inherited from interface com.complexible.common.base.Progress

  `current, hasProgress, maxProgress, stage`

- ## Field Details

  - ### SILENT

    static final ProgressReporter SILENT

- ## Method Details

  - ### increment

    void increment(long delta)
    Increments the current progress by given delta and prints the progress if necessary.

  - ### incrementMaxProgress

    void incrementMaxProgress(long theMaxProgress)
    Increments the maximum progress value for this monitor

  - ### stop

    void stop()
    Stop the progress reporting. Maybe print final number

  - ### close

    default void close()
    Specified by:
      `close` in interface `AutoCloseable`

  - ### stage

    void stage(String stageName)
    Set the name of current stage of the process.

  - ### print

    default void print()
    Print the current progress, implementations may implement this as a no-op